# Uses of Interface
org.italiangrid.voms.store.VOMSTrustStoreStatusListener

Packages that use VOMSTrustStoreStatusListener
Package
Description
org.italiangrid.voms.store
This package provides the API for managing VOMS trust stores.
org.italiangrid.voms.store.impl
This package provides the implementation of VOMS trust store management.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSTrustStoreStatusListener in org.italiangrid.voms.store

Methods in org.italiangrid.voms.store with parameters of type VOMSTrustStoreStatusListener
Modifier and Type
Method
Description
`static VOMSTrustStore`
VOMSTrustStores.`newTrustStore(List<String> localTrustDirs, long updateFrequency, VOMSTrustStoreStatusListener statusListener)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument
`void`
VOMSTrustStore.`setStatusListener(VOMSTrustStoreStatusListener statusListener)`
Sets a `VOMSTrustStoreStatusListener` that is notified of events related to this VOMS trust store

## Uses of VOMSTrustStoreStatusListener in org.italiangrid.voms.store.impl

Methods in org.italiangrid.voms.store.impl with parameters of type VOMSTrustStoreStatusListener
Modifier and Type
Method
Description
`void`
DefaultVOMSTrustStore.`setStatusListener(VOMSTrustStoreStatusListener statusListener)`
Constructors in org.italiangrid.voms.store.impl with parameters of type VOMSTrustStoreStatusListener
Modifier
Constructor
Description
``
`DefaultUpdatingVOMSTrustStore(List<String> localTrustDirs, long updateFrequency, VOMSTrustStoreStatusListener listener)`
Builds a trust store configured as defined in the parameters.
``
`DefaultVOMSTrustStore(List<String> localTrustDirs, List<String> voNames, VOMSTrustStoreStatusListener listener)`
``
`DefaultVOMSTrustStore(List<String> localTrustDirs, VOMSTrustStoreStatusListener listener)`
``
`DefaultVOMSTrustStore(VOMSTrustStoreStatusListener listener)`

## Uses of VOMSTrustStoreStatusListener in org.italiangrid.voms.util

Classes in org.italiangrid.voms.util that implement VOMSTrustStoreStatusListener
Modifier and Type
Class
Description
`enum`
`NullListener`
A Singleton Listener which swallows notification.